Subject: Re: [PATCH v3 09/10] pretty: implement 'reference' format

From: SZEDER Gábor <[email-masked]>
Date: Fri, 15 Nov 2019 14:18:03 +0100

On Fri, Nov 15, 2019 at 03:07:59PM +0900, Junio C Hamano wrote:
> Denton Liu <[email-masked]> writes:
> 
> > +* 'reference'
> > +
> > +	  <abbrev hash> (<title line>, <short author date>)
> 
> s/title line/title/ as you definitely do *not* want a line with a
> title on it (and nothing else) in this context.

Well, we just followed suit of the descriptions of other pretty
formats, and they all say "<title line>".

On a related note, the description of the '%s' format specifier in the
same document is "subject", not "title".  Perhaps they should be made
consistent, but I'm not sure.  I like that '%s' means "subject",
because the first letter matches, but some man pages (commit,
format-patch, am) make difference between a subject and a title.